Skip to main content
GET
/
projects
/
{project_id}
/
playground-conversations
/
{conversation_id}
Get conversation
import requests

url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/playground-conversations/{conversation_id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "type": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chat_history": [
    {
      "role": "user",
      "content": "<string>",
      "type": "message",
      "query_id": 123,
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "used_tokens_input": 123,
      "used_tokens_output": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "tool_type": "<string>",
      "input_parameters": {},
      "results": [
        "<unknown>"
      ]
    }
  ],
  "agent_settings": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_settings_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "message_count": 123,
  "tool_call_count": 123,
  "tokens": {
    "input": 123,
    "output": 123,
    "total": 123
  },
  "tags": [
    "<string>"
  ],
  "conversation_instructions": "<string>",
  "is_shared": false,
  "can_send_messages": true,
  "is_archived": false,
  "archived_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clarifeye.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Path Parameters

project_id
string<uuid>
required

UUID of the project

conversation_id
string<uuid>
required

UUID of the conversation

Query Parameters

include_archived
enum<string>

Set to "true" to allow retrieving an archived conversation. Defaults to false.

Available options:
true,
false

Response

Successful response

id
string<uuid>
name
string
type
string
created_by
string<uuid>

ID of the user who created the conversation

chat_history
object[]
agent_settings
string<uuid>
agent_settings_name
string
created_at
string<date-time>
updated_at
string<date-time>
message_count
integer
tool_call_count
integer
tokens
object
tags
string[]
conversation_instructions
string | null
is_shared
boolean
default:false

Whether the conversation is shared with all workspace members

can_send_messages
boolean

Whether the current user can send messages to this conversation. For shared conversations, only the creator and admins can send messages.

is_archived
boolean
default:false

Whether the conversation has been soft-archived

archived_at
string<date-time> | null

Timestamp when the conversation was archived, null if not archived